{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Scrumptious</title>
    <link rel="stylesheet" href="{% static "css/recipes.css" %}">
</head>

<body>
    <header>
        <nav>
            <a href="{% url 'go_home' %}" class="a1">Main Page</a>
            <a href="{% url 'create_recipe' %}" class="a1">   Create a Dish</a>

            {% if user.is_authenticated %}
              Hello, {{user.username}}
              <a href="{% url 'user_logout' %}" class="a1">Logout</a>
            {% else %}
              <a href = "{% url 'signup' %}" class="a1"> Sign Up</a>
              <a href="{% url 'user_login' %}" class="a1">Login</a>
            {% endif %}



        </nav>
    </header>
</body>
<main>
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>

    <div class="recipe-grid">
  {% for recipe in recipe_list %}
  <div>
    <h3>
      <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
    </h3>
    <img src="{{ recipe.picture }}">
    <div>4.3 stars</div>
    <p>{{ recipe.created_on|date:"M t o" }}</p>
  </div>
  {% endfor %}
</div>


    </div>

</main>

<footer>Made with love by Scrumptious Recipes </footer>

</html>
